DROPBEARKEY(1)

NAME
dropbearkey - create private keys for the use with dropbear(8) or dbclient(1)

SYNOPSIS
dropbearkey -t type -f file [-s bits] [-y]

DESCRIPTION
dropbearkey generates a RSA, DSS, ECDSA, or Ed25519 format SSH private key, and saves it to a file for the use with the Dropbear client or server. Note that some SSH implementations use the term “DSA” rather than “DSS”, they mean the same thing.

OPTIONS

-t type
    Type of key to generate. Must be one of rsa, ecdsa, ed25519, or dss.

-f file
    Write the secret key to the file file. For client authentication ~/.ssh/id_dropbear is loaded by default

-s bits
    Set the key size to bits bits, should be multiple of 8 (optional).

-y  Just print the publickey and fingerprint for the private key in file.

NOTES
The program dropbearconvert(1) can be used to convert between Dropbear and OpenSSH key formats.

Dropbear does not support encrypted keys.

EXAMPLES
generate a host-key:

    # dropbearkey -t rsa -f /etc/dropbear/dropbear_rsa_host_key

extract a public key suitable for authorized_keys from private key:

    # dropbearkey -y -f id_rsa | grep "^ssh-rsa " >> authorized_keys

SEE ALSO
dbclient(1), dropbearconvert(1), dropbear(8)

https://matt.ucc.asn.au/dropbear/dropbear.html

AUTHORS
Matt Johnston <matt@ucc.asn.au>. Gerrit Pape <pape@smarden.org> wrote this manual page.